import { jsx } from "react/jsx-runtime";
import { WalletRabby as WalletRabby$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const WalletRabby = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "Rabby", "data-name": "WalletRabby", ...props, children: /* @__PURE__ */ jsx(WalletRabby$1, { variant }) });
  }
);
WalletRabby.displayName = "WalletRabby";
Object.assign(WalletRabby, { isGdsIcon: true });
export {
  WalletRabby
};
